zeligDescribeModelXML {Zelig} | R Documentation

## Zelig interface functions

### Description

Zelig interface functions. Used by VDC DSB to communicate with Zelig.

### Usage

            zeligDescribeModelXML(modelName,force=FALSE,schemaVersion="1.1")
            zeligInstalledModels(inZeligOnly=TRUE,schemaVersion="1.1")
            zeligListModels(inZeligOnly=TRUE)
            zeligModelDependency(modelName,repos)
            zeligGetSpecial(modelName)

### Arguments

`modelName` | Name of model as returned by zeligInstalledModels or zeligListModels.
`inZeligOnly` | Flag, include only models in official Zelig distribution
`repos` | URL of default repository to use
`schemaVersion` | version of Zelig schema
`force` | generate a description even if no custom description supplied

### Value

Use zeligInstalledModels and zeligListModels to determine what models are available in zelig for a particular schema level. Use zmodel2string(zeligDescribeModel()) to generate an XML instance describing a model. Use zeligModelDependencies to generate a list of package dependencies for models. Use zeligGetSpecial to get the name special function, if any, to apply to the outcome variables. All functions return NULL if results are not available for that model.

### Author(s)

Micah Altman thedata-users@lists.sourceforge.net http://thedata.org

### See Also

zelig

### Examples

    ## Not run:
            # show all available models
            zeligListModels(inZeligOnly=FALSE)
            # show installed models
            zeligInstalledModels()
            # show dependency for normal.bayes
            zeligModelDependency("normal.bayes","http://cran.r-project.org/")
            # description of logit
            cat(zeligDescribeModelXML("ologit"))
            # special function for factor analysis
            zeligGetSpecial("factor.mix")
    ## End(Not run)

[Package Zelig version 3.4-3 Index]